<?
//获取分页地址
$action="http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];  
//获取分页传递条件并格式化,取第一个$page之前的条件值
$Class=$_SERVER['QUERY_STRING'];
$post=strpos($Class,"&page");
if($post === false)
	$query=$Class;
	else
$query=substr($Class,0,$post); 
$page=isset($_GET['page'])?intval($_GET['page']):1;   
$pagenum=ceil($total/$num);                                
$page=min($pagenum,$page);
$prepg=$page-1;
$nextpg=($page==$pagenum ? 0 : $page+1);
$offset=($page-1)*$num;                                        
$pagenav.="<a href='".$index."' target='_parent'>首页</a>";
//if($prepg) $pagenav.="<a href='".$qianurl.$prepg.$geshi."' target='_parent'><</a>"; else $pagenav.="<a href='".$index."' target='_parent'><</a>";
if($pagenum>10){
	if($page<=10){
	for($i=1;$i<=10;$i++){
		if($i==$page){
			 $pagenav.= "<span class='thisclass'>".$i."</span>";
			}else{
		 $pagenav.= "<a href='".$qianurl.$i.$geshi."' target='_parent'>".$i."</a>";
			}
		}
	}elseif($page>=10){
		$epage=$pagenum-$page;
		if($epage>5){
			$npage=$page+5;
		}elseif($epage<5){
			$npage=$epage+$page;
		}
		for($i=$page-5;$i<$npage;$i++){
			if($i==$page){
			 $pagenav.= "<span class='thisclass'>".$i."</span>";
			}else{
		 $pagenav.= "<a href='".$qianurl.$i.$geshi."' target='_parent'>".$i."</a>";
			}
		}
	}
}else{
	for($i=1;$i<=$pagenum;$i++){
		if($i==$page){
		 $pagenav.= "<span class='thisclass'>".$i."</span>";
		}else{
		 $pagenav.= "<a href='".$qianurl.$i.$geshi."' target='_parent'>".$i."</a>";
		}
	}
}	
$pagenav.="<a href='".$qianurl.$pagenum.$geshi."' target='_parent'>尾页</a>";
//if($nextpg) $pagenav.="<a href='".$qianurl.$nextpg.$geshi."'>></a>"; else $pagenav.="<a href='".$index."'>></a>";
$pagenav.="<select style='width:52px' onchange='location.href=this.options[this.selectedIndex].value;'>";
for($i=1;$i<=$pagenum;$i++){
	if($i==$page){
	 $pagenav.= "<option value='".$qianurl.$i.$geshi."' selected>".$i."</option>";
	}else{
	 $pagenav.= "<option value='".$qianurl.$i.$geshi."'>".$i."</option>";
	}
}
$pagenav.="</select>";
$pagenav.="<a href='".$qianurl.$pagenum.$geshi."' target='_parent'>共".$pagenum."页 ".$total." 条</a>";
?>